Class | XMLRPC::Service::PublicInstanceMethodsInterface
In: | xmlrpc/utils.rb
Parent: | BasicInterface

### Methods

get_methods new

### Public Class methods

new(prefix)

[Source]

    # File xmlrpc/utils.rb, line 128
        def initialize(prefix)
          super(prefix)
        end

### Public Instance methods

get_methods(obj, delim=".")

[Source]

    # File xmlrpc/utils.rb, line 132
        def get_methods(obj, delim=".")
          prefix = @prefix + delim
          obj.class.public_instance_methods(false).collect { |name|
            [prefix + name, obj.method(name).to_proc, nil, nil]
          }
        end

[Validate]